tinyproxy(8)

NAME
tinyproxy - A small HTTP proxy server

SYNTAX
tinyproxy [ options ]

VERSION
This man page documents tinyproxy

DESCRIPTION
tinyproxy is an HTTP proxy server designed to consume a minimum of system resources. It listens on a given TCP port and handles HTTP proxy requests.

OPTIONS

-c config_file
    Use an alternate configuration file.

-d  Don't daemonize; stay in the foreground. Useful for debugging purposes.

-h  Display a short help screen of command line arguments and exit.

-l  Displays the licensing agreement.

-v  Display version information and exit.

SIGNALS
In addition to these command line options, there are also several signals that can be sent to tinyproxy while it is running to generate debugging information and to force certain events.

SIGHUP
    Force tinyproxy to do a garbage collection on the current connections linked list. This is usually done automatically after a certain number of connections have been handled.

FILES
/etc/tinyproxy/tinyproxy.conf
/var/run/tinyproxy.pid
/var/log/tinyproxy.log

AUTHORS
Robert James Kaes (rjkaes@flarenet.com)
Steven Young (sdyoung@users.sourceforge.net)

COPYRIGHT
tinyproxy is distributed under the GNU Public License (GPL). For more information on the GPL, please see the file COPYING which should have been included in the archive with tinyproxy. Failing that, http://www.fsf.org/ will doubtless have a copy up for you to peruse. Please don't use this software if you don't agree to the terms specified therein.

AVAILABILITY
The latest version of tinyproxy can be acquired from: http://tinyproxy.sourceforge.net/